<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JaDOrT: JASMINe Deployment Orchestration Tool
  - Copyright (C) 2008-2009 Bull S.A.S.
  - Copyright (C) 2008-2009 France Telecom R&D
  - Contact: jasmine@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: pom.xml 2966 2009-01-12 13:02:45Z alitokmen $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<project xmlns="http://maven.apache.org/POM/4.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

  <parent>
    <groupId>org.ow2.jasmine.jadort</groupId>
    <artifactId>MyStore</artifactId>
    <version>2.0.0</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>${parent.artifactId}-ear</artifactId>
  <packaging>ear</packaging>
  <name>MyStore :: EAR</name>
  <description>The MyStore sample application is a versioned application for demonstrating the JOnAS versioning service and the deployment orchestration capabilities of JaDOrT.</description>

  <dependencies>
    <dependency>
      <groupId>${project.groupId}</groupId>
      <artifactId>${parent.artifactId}-ejb</artifactId>
      <version>${project.version}</version>
      <type>ejb</type>
    </dependency>
    <dependency>
      <groupId>${project.groupId}</groupId>
      <artifactId>${parent.artifactId}-war</artifactId>
      <version>${project.version}</version>
      <type>war</type>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <artifactId>maven-ear-plugin</artifactId>
        <configuration>
          <displayName>${parent.artifactId}</displayName>
          <earName>${parent.artifactId}</earName>
          <finalName>${parent.artifactId}</finalName>
          <outputDirectory>${basedir}/..</outputDirectory>
          <version>5</version>
          <modules>
            <webModule>
              <groupId>${project.groupId}</groupId>
              <artifactId>
                ${parent.artifactId}-war
              </artifactId>
              <contextRoot>
                /${parent.artifactId}
              </contextRoot>
              <bundleFileName>
                ${parent.artifactId}.war
              </bundleFileName>
            </webModule>
            <ejbModule>
              <groupId>${project.groupId}</groupId>
              <artifactId>
                ${parent.artifactId}-ejb
              </artifactId>
              <bundleFileName>
                ${parent.artifactId}.jar
              </bundleFileName>
            </ejbModule>
          </modules>
          <archive>
            <manifestEntries>
              <Implementation-Version>${project.version}</Implementation-Version>
            </manifestEntries>
          </archive>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
